View Issue Details

IDProjectCategoryView StatusLast Update
0003207Ham Radio DeluxeBugpublic2019-03-31 11:13
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version6.5.0.197 
Target VersionFixed in Version6.5.0.207 
Summary0003207: Rig Control sliders for FTDX-1200 keyer type parameters don't work
DescriptionSeveral sliders in Rig Control can be used to set the keyer type attached to the front or rear panel of the radio. These settings don't work; they send the wrong commands using the wrong parameters, and don't have the correct titles.

The involved controls are these (in Rig Control):

017 Front Keyer Type
018 Front CW Keyer
019 Rear Keyer Type
020 Rear CW Keyer


The radio settings they correspond to are these:

018 Front Keyer Type
019 Front CW Keyer
020 Rear Keyer Type
021 Rear CW Keyer

Steps To Reproduce
1) Fire up Rig Control, connect to an FTDX-1200
2) Use the "Menu" button on the radio to reach the menu settings
3) Use the VFO B dial to scroll to settings 18 thru 21

4) In Rig Control, add the 017, 018, 019, and 020 sliders to the UI by using the "Customize Layout" dialog

BUG#1) Adjusting any of these sliders don't adjust the corresponding control on the radio. Any given slider might adjust another setting, but probably doesn't have the right setting strings or values.
Additional InformationIt seems a bit dubious to have these settings controlled in Rig Control, nayweay. Seems like I'd set up my keyer once, when I built my shack, and leave it at that. Do users really need computer control of these settings?

TagsFTDX-1200, Yaesu
ModuleRig Control
Sub-ModuleRadio Support
Testing Beta Successful

Activities

K7ZCZ

2019-03-06 10:09

manager   ~0007587

fixed by this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4866

WA9PIE

2019-03-26 13:53

administrator   ~0007739

In "Steps to Reproduce", it indicates that menu 17 should be added (through 20). Menu 17 isn't an option in the software and is unrelated to this topic. I'm going forward under the assumption that this is a typo and it should be 18-21.

WA9PIE

2019-03-26 13:54

administrator   ~0007740

When I added these sliders, I ended up with a mini-dump. I'll document this later.

WA9PIE

2019-03-26 13:58

administrator   ~0007741

Validated during tests at HRO - Plano (TX)

Issue History

Date Modified Username Field Change
2019-03-01 10:12 K7ZCZ New Issue
2019-03-01 10:14 K7ZCZ Tag Attached: FTDX-1200
2019-03-01 10:14 K7ZCZ Tag Attached: Yaesu
2019-03-06 10:09 K7ZCZ Assigned To => K7ZCZ
2019-03-06 10:09 K7ZCZ Status new => resolved
2019-03-06 10:09 K7ZCZ Resolution open => fixed
2019-03-06 10:09 K7ZCZ Note Added: 0007587
2019-03-06 21:45 K7ZCZ Fixed in Version => 6.5.0.200
2019-03-26 13:53 WA9PIE Note Added: 0007739
2019-03-26 13:54 WA9PIE Note Added: 0007740
2019-03-26 13:58 WA9PIE Status resolved => closed
2019-03-26 13:58 WA9PIE Steps to Reproduce Updated View Revisions
2019-03-26 13:58 WA9PIE Additional Information Updated View Revisions
2019-03-26 13:58 WA9PIE Testing Not Started => Beta Successful
2019-03-26 13:58 WA9PIE Note Added: 0007741
2019-03-31 11:13 WA9PIE Fixed in Version 6.5.0.200 => 6.5.0.207
2019-03-31 11:13 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe